<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta name="keywords" content="Markov decision process, Toolbox, Scilab">
   <title> mdp_value_iteration_bound_iter description </title>
</head>
<body bgcolor="#FFFFFF">

<center><table BORDER=0 CELLSPACING=0 CELLPADDING=0 COLS=2 WIDTH="100%" BGCOLOR="#FFFFCC" NOSAVE >
<tr BGCOLOR="#FFFFCC" NOSAVE>
<td BGCOLOR="#FFFFCC" NOSAVE><b>MDP Toolbox for Scilab</b></td>
<td><div align=right><a href="DOCUMENTATION.html"><img SRC="arrow.gif" height=23 width=26></a></div></td>
</tr>
</table></center>

<p><b><font color="#FF0000"><font size=+2>mdp_value_iteration_bound_iter</font></font></b>
<font color="#000000">
<p>Computes a bound on the number of iterations for the value iteration algorithm.
</font>

<p><b><font color="#3366FF"><font size=+1>Syntax</font></font></b>
<font color="#000000">
<p> [max_iter, cpu_time] = mdp_value_iteration_bound_iter(P, R, discount)<br>
[max_iter, cpu_time] = mdp_value_iteration_bound_iter(P, R, discount, epsilon)<br>
[max_iter, cpu_time] = mdp_value_iteration_bound_iter(P, R, discount, epsilon, V0)<br>
</font>


<p><b><font color="#3366FF"><font size=+1>Description</font></font></b>
<font color="#000000">
<p>mdp_value_iteration_bound_iter  computes a bound on the number of iterations for the value iteration algorithm to find an epsilon-optimal policy  with use of span for the stopping criterion.
</font>

<p><b><font color="#3366FF"><font size=+1>Arguments</font></font></b>
<font color="#000000">
<ul><li><b>P : </b>transition probability array.</li></ul>
P can be a 3 dimensions array (SxSxA) or a cell array (1xA), each cell containing a sparse matrix (SxS).
<ul><li><b>R : </b>reward array.</li></ul>
R can be a 3 dimensions array (SxSxA) or a cell array (1xA), each cell containing a sparse matrix (SxS) or a 2D array (SxA) possibly sparse.
<ul><li><b>discount : </b>discount factor.</li></ul>
discount is a real which belongs to ]0; 1[.
<ul><li><b>epsilon (optional) : </b>search for an epsilon-optimal policy</li></ul>
 epsilon is a real in ]0; 1]. <br> 
By default, epsilon is set to 0.01.
<ul><li><b>V0 (optional) : </b>starting value function.</li></ul>
V0 is a (Sx1) vector.<br> 
By default, V0 is only composed of 0 elements.
</font>



<p><b><font color="#3366FF"><font size=+1>Evaluations</font></font></b>
<font color="#000000">
<ul><li><b>max_iter : </b>maximum number of iterations to be done.</li></ul>
max_iter is an integer greater than 0.
<ul><li><b>cpu_time : </b>CPU time used to run the program.</font></li></ul>
</font>

<p><b><font color="#3366FF"><font size=+1>Example</font></font></b>
<p><font color="#000000">
-> P(:,:,1) = [ 0.5 0.5; &nbsp 0.8 0.2 ];<br>
-> P(:,:,2) = [ 0   1; &nbsp 0.1 0.9 ];<br>
-> R = [ 5 10; &nbsp -1 2 ];<br>
<br>
-> max_iter = mdp_value_iteration_bound_iter(P, R,0.9)<br>
max_iter =<br>
&nbsp&nbsp   28<br>
<br>
In the above example, P can be a cell array containing sparse matrices:<br>
-> P(1) = sparse([ 0.5 0.5;&nbsp   0.8 0.2 ]);<br>
-> P(2) = sparse([ 0 1;&nbsp   0.1 0.9 ]);<br>
The function call is unchanged.<br>
</font>

<br><br>
<table BORDER=0 CELLSPACING=0 CELLPADDING=0 COLS=2 WIDTH="100%" BGCOLOR="#FFFFCC" NOSAVE >
<tr NOSAVE>
<td NOSAVE><b>MDP Toolbox for Scilab</b></td>
<td><div align=right><a href="DOCUMENTATION.html"><img SRC="arrow.gif" height=23 width=26></a></div></td>
</tr>
</table>

<br><br>
<hr WIDTH="100%">
<font size=-1>MDPtoolbox/documentation/mdp_value_iteration_bound_iter.html
<br>Page created on July 31, 2001. Last update on August 31, 2009.</font>
</body>
</html>
